Skip to main content

public/get-valuations

GET 

/public/get-valuations

Fetches valuation type data for an instrument.

Request

Query Parameters

    instrument_name stringrequired

    e.g. BTCUSD-INDEX

    valuation_type stringrequired

    List of available types:

    • a. index_price: returns per minute data of underlying reference price of the instrument.
    • b. mark_price: returns per minute data of mark price of the instrument.
    • c. funding_hist: returns hourly data of the funding rate settled in past hourly settlement.
    • d. funding_rate: returns per minute data of current hourly funding rate that will settle at the end of each hour of current 4-hour interval.
    • e. estimated_funding_rate: returns per minute data of estimated funding rate for the next interval.
    count int32

    Default value: 25

    Default is 25

    start_ts int64

    Default timestamp is 30 days ago for funding_hist, and 1 day ago for other valuation_type (Unix timestamp).

    end_ts int64

    Default timestamp is current time (Unix timestamp).

Success.
Schema
    id int64

    Echoed request id

    method string

    Method invoked

    code int32

    0 = success; non-zero indicates error (reason code).

    result object
    Present when code === 0. instrument_name, data array (v, t per item).
    instrument_name string

    e.g. BTCUSD-INDEX

    data object[]
    Array of value and timestamp (v, t).
  • Array [
  • v decimal

    Value

    t int64

    Timestamp (ms), e.g. "1771761038000".

  • ]
  • message string

    Present when code !== 0.

    original string

    Present when code !== 0.